# swooleframe

swoole框架websocket

##project  应用部署目录
* ├─application           应用目录（可设置）
* │  ├─conf               应用（公共）配置文件
* │  ├─socket             业务模块目录(可更改)
* │  │  ├─controller      控制器目录
* │  │  ├─model           模型目录
* │  ├─common.php         应用公共（函数）文件
* ├─extend                扩展类库目录（可定义）
* ├─swoole                swoole框架目录（可更改）
* ├─temp                  运行目录
* ├─start.php             服务启动文件
* ├─stop.php              服务停止文件
* ├─README.md             README 文件

#服务操作：
php start.php

php stop.php

#请求协议：
{"a":"set_info","m":"user","d":{"token":"xxxxx"}}

a：操作方法 	m：模块名称 	 d：请求数据

#返回格式：
{"c":1,"msg":"获取成功","d":{"list":[]}}

c：状态码	msg：状态描述	d：数据内容

http测试地址：http://193.112.57.224:9501/

websocket测试地址：ws://193.112.57.224:9501/

#绑定用户uid：
{"a":"set_info","m":"user","d":{"token":"xxxxx"}}

{"c":1,"msg":"保存成功"}

#获取现在人数：
{"a":"online_num","m":"user"}

{"c":1,"msg":"success","d":{"num":1}}

#给用户发送消息：
{"a":"send_msg","m":"user","d":{"to_uid":"91851043","from_uid":"56032607","content":"hello"}}

{"c":1,"msg":"发送成功"}